guide_mounting_width=57;
guide_mounting_length=45;
guide_width=67;
guide_to_guide_distance_same_rail=65; //center-to-center of closest mounting holes between two guides on the same rail
guide_to_guide_distance_diff_rail=133; //center-to-center of closest mounting holes between two guides on different rails
mounting_hole_diameter=3; //hole size for template (I made it purposely smaller than the actual mounting holes to make it easier to drill the holes exactly centered
template_thickness=2;

mounting_points=[ [0,0,0], [guide_mounting_width,0,0], [0,guide_mounting_length], [guide_mounting_width,guide_mounting_length,0]];

module cylinders(points, diameter, thickness){
    for (p=points){
        translate(p) cylinder(d=diameter, h=thickness, center=true);
    }
}
 
module plate(points, diameter, thickness, hole_diameter){
    difference(){
        hull() cylinders(points, diameter, thickness);
        cylinders(points, hole_diameter, thickness+1);
    }
}

difference(){
union(){
translate([-guide_mounting_width,0,0])
plate(mounting_points,guide_width,template_thickness,mounting_hole_diameter);

translate([guide_to_guide_distance_diff_rail,0,0])
plate(mounting_points,guide_width,template_thickness,mounting_hole_diameter);

translate([-guide_mounting_width,guide_to_guide_distance_same_rail+guide_mounting_length,0])
plate(mounting_points,guide_width,template_thickness,mounting_hole_diameter);

translate([guide_to_guide_distance_diff_rail,guide_to_guide_distance_same_rail+guide_mounting_length,0])
plate(mounting_points,guide_width,template_thickness,mounting_hole_diameter);

translate([mounting_hole_diameter/2,0,-template_thickness/2])
cube([guide_to_guide_distance_diff_rail-mounting_hole_diameter,guide_mounting_length*2+guide_to_guide_distance_same_rail,template_thickness]);
}
translate([guide_to_guide_distance_diff_rail/2-15,guide_mounting_length+guide_to_guide_distance_same_rail/2,-template_thickness])
cylinder(d=mounting_hole_diameter,h=template_thickness*2);
translate([guide_to_guide_distance_diff_rail/2+15,guide_mounting_length+guide_to_guide_distance_same_rail/2,-template_thickness])
cylinder(d=mounting_hole_diameter,h=template_thickness*2);
}