rail_guide_mount_separation=26;
rail_guide_mount_thickness=5;
rail_guide_mount_hole_diameter=4.5;
rail_guide_length=35;
rail_guide_width=45;
rail_guide_offset=27;
rail_separation=122; //24+24+78;
rail_separation_thickness=10;
z_nut_size=35;
z_nut_hole_diameter=5;
router_mount_hole_diameter=6;
router_mount_hole_x_separation=60;
router_mount_hole_z_separation=20;
$fn=96;

difference(){
solid_mount();
translate([-z_nut_size/2,-1.99,(rail_guide_width-z_nut_size)/2])
cube([z_nut_size,2,z_nut_size]);
translate([-10,0,z_nut_size+(rail_guide_width-z_nut_size)/2-10])
rotate([90,0,0])
cylinder(d=z_nut_hole_diameter,h=rail_separation_thickness);
translate([10,0,z_nut_size+(rail_guide_width-z_nut_size)/2-10])
rotate([90,0,0])
cylinder(d=z_nut_hole_diameter,h=rail_separation_thickness);
translate([10,-7.01,z_nut_size+(rail_guide_width-z_nut_size)/2-10])
rotate([90,0,0])
cylinder(d=z_nut_hole_diameter*2.5,h=3);
translate([-10,-7.01,z_nut_size+(rail_guide_width-z_nut_size)/2-10])
rotate([90,0,0])
cylinder(d=z_nut_hole_diameter*2.5,h=3);

translate([-router_mount_hole_x_separation/2,0,rail_guide_width/2+router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=rail_separation_thickness);
translate([-router_mount_hole_x_separation/2,0,rail_guide_width/2-router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=rail_separation_thickness);
translate([router_mount_hole_x_separation/2,0,rail_guide_width/2+router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=rail_separation_thickness);
translate([router_mount_hole_x_separation/2,0,rail_guide_width/2-router_mount_hole_z_separation/2])
rotate([90,0,0])
cylinder(d=router_mount_hole_diameter,h=rail_separation_thickness);

}

module solid_mount(){
translate([-rail_separation/2-rail_guide_mount_thickness,-rail_separation_thickness,0])
cube([rail_separation+rail_guide_mount_thickness*2,rail_separation_thickness,rail_guide_width]);
translate([-rail_separation/2-rail_guide_mount_thickness,0,0])
cube([rail_guide_mount_thickness,rail_guide_offset,rail_guide_width]);
translate([rail_separation/2,0,0])
cube([rail_guide_mount_thickness,rail_guide_offset,rail_guide_width]);
translate([-rail_separation/2-rail_guide_mount_thickness/2,rail_guide_offset,0])
rail_guide_mount();
translate([rail_separation/2+rail_guide_mount_thickness/2,rail_guide_offset,0])
rail_guide_mount();
}

module rail_guide_mount(){
translate([-rail_guide_mount_thickness/2,rail_guide_length/2,rail_guide_width/2])
rotate([90,0,90])
difference(){
translate([-rail_guide_length/2,-rail_guide_width/2,0])
cube([rail_guide_length,rail_guide_width,rail_guide_mount_thickness]);
translate([-rail_guide_mount_separation/2,rail_guide_mount_separation/2,-0.1])
cylinder(d=rail_guide_mount_hole_diameter,h=rail_guide_mount_thickness+0.2);
translate([rail_guide_mount_separation/2,rail_guide_mount_separation/2,-0.1])
cylinder(d=rail_guide_mount_hole_diameter,h=rail_guide_mount_thickness+0.2);
translate([-rail_guide_mount_separation/2,-rail_guide_mount_separation/2,-0.1])
cylinder(d=rail_guide_mount_hole_diameter,h=rail_guide_mount_thickness+0.2);
translate([rail_guide_mount_separation/2,-rail_guide_mount_separation/2,-0.1])
cylinder(d=rail_guide_mount_hole_diameter,h=rail_guide_mount_thickness+0.2);
}
}