length=75;
width=36;
thickness=8;
middle_hole_separation=38;
middle_hole_diameter=8;
stepper_mount_offset=11;
stepper_hole_separation=47.1;
stepper_hole_diameter=6;
stepper_counterbore_depth=5;
side_triangle_thickness=5;
side_triangle_height=38;
side_triangle_angle=61;
side_triangle_hole_height=27;
$fn=196;


original_plate();
revision();

module revision(){
difference(){
side_walls();
translate([-0.01,width+60-stepper_mount_offset,side_triangle_height+1])
rotate([side_triangle_angle,0,0])
translate([-length/2,-width,0])
cube([length+0.02,width,2*width+60-stepper_mount_offset]);
translate([-length/2-0.01,0,side_triangle_hole_height])
rotate([0,90,0])
cylinder(d=stepper_hole_diameter,h=length+0.02);
}
}

module side_walls(){
translate([length/2-side_triangle_thickness,-width/2,0])
cube([side_triangle_thickness,width+60-stepper_mount_offset,thickness+side_triangle_height]);
translate([-length/2,-width/2,0])
cube([side_triangle_thickness,width+60-stepper_mount_offset,thickness+side_triangle_height]);
translate([-length/2,-width/2,0])
cube([length,side_triangle_thickness,thickness+side_triangle_height]);
}

module original_plate(){
difference(){
aluminum_plate();
translate([0,stepper_hole_separation/2+stepper_mount_offset,-0.1])
cylinder(d=40.1,h=thickness+0.2);
}
stepper_plate();
}

module aluminum_plate(){
difference(){
translate([-length/2,-width/2,0])
cube([length,width,thickness]);

translate([-middle_hole_separation/2,0,-0.1])
cylinder(d=middle_hole_diameter,h=thickness+0.2);
translate([middle_hole_separation/2,0,-0.1])
cylinder(d=middle_hole_diameter,h=thickness+0.2);

translate([-stepper_hole_separation/2,stepper_mount_offset,-0.1])
cylinder(d=stepper_hole_diameter,h=thickness+0.2);
translate([stepper_hole_separation/2,stepper_mount_offset,-0.1])
cylinder(d=stepper_hole_diameter,h=thickness+0.2);
translate([-stepper_hole_separation/2,stepper_mount_offset,-0.01])
cylinder(d=stepper_hole_diameter*2,h=stepper_counterbore_depth);
translate([stepper_hole_separation/2,stepper_mount_offset,-0.01])
cylinder(d=stepper_hole_diameter*2,h=stepper_counterbore_depth);
}
}

module stepper_plate(){
difference(){
translate([-65/2,width/2,0])
cube([65,60-stepper_mount_offset,thickness]);
translate([0,stepper_hole_separation/2+stepper_mount_offset,-0.1])
cylinder(d=40.1,h=thickness+0.2);

translate([-stepper_hole_separation/2,stepper_mount_offset+stepper_hole_separation,-0.1])
cylinder(d=stepper_hole_diameter,h=thickness+0.2);
translate([stepper_hole_separation/2,stepper_mount_offset+stepper_hole_separation,-0.1])
cylinder(d=stepper_hole_diameter,h=thickness+0.2);

translate([-stepper_hole_separation/2,stepper_mount_offset,-0.01])
cylinder(d=stepper_hole_diameter*2,h=stepper_counterbore_depth);
translate([stepper_hole_separation/2,stepper_mount_offset,-0.01])
cylinder(d=stepper_hole_diameter*2,h=stepper_counterbore_depth);
}
}